/* ***************************************************************************
 * This library is part of INFONOVA OpenCms Modules.
 * Common Modules for the Open Source Content Management System: OpenCms.
 * 
 * Copyright (c) 2010 INFONOVA GmbH, Austria.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * For further information about INFONOVA GmbH, Austria, please
 * see the company website: http://www.infonova.at/
 *
 * For further information about INFONOVA OpenCms Modules, please see the
 * project website: http://sourceforge.net/projects/bp-cms-commons/
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *****************************************************************************/
package com.mycompany.mavenproject2;

import org.opencms.configuration.CmsConfigurationManager;
import org.opencms.file.CmsObject;
import org.opencms.module.A_CmsModuleAction;
import org.opencms.module.CmsModule;

/**
 * Simple ModuleAction from ModuleArcheType.
 */
public class ModuleAction extends A_CmsModuleAction {

    /** General Logger for this Class. */
    private static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory
        .getLog(ModuleAction.class);

    /**
     * Will be called by the OpenCms system during server startup.<p>
     * 
     * If a module requires special initialization code, this
     * is a good place to to implement this functions.<p>
     * 
     * Moreover, if the module requires special "one time" setup code, 
     * this should also be implemented here. For example if the module
     * requires special DB tables to be created, you should implement 
     * a check if theses tables exist in this method, and if they don't 
     * exist create them as needed.<p> 
     * 
     * @see org.opencms.module.I_CmsModuleAction#initialize(org.opencms.file.CmsObject,
     *      CmsConfigurationManager, CmsModule)
     *      
     * @param adminCms an initialized CmsObject with "Admin" permissions
     * @param configurationManager the initialized OpenCms configuration manager
     * @param module the module of this action instance
     */
    @Override
    public void initialize(final CmsObject adminCms, final CmsConfigurationManager configurationManager,
        final CmsModule module) {
        // show Debug-Logging-Informations
        super.initialize(adminCms, configurationManager, module);
        // This line should be covered by the Cobertura Test Coverage Report,
        // because this Class is configured in:
        // /src/test/config/WEB-INF/config.hsqldb/opencms-modules.xml
        LOG.info("Hello 'mymavenproject2'");
    }
}
