/* ***************************************************************************
 * This library is part of INFONOVA OpenCms Modules.
 * Common Modules for the Open Source Content Management System: OpenCms.
 * 
 * Copyright (c) 2010 INFONOVA GmbH, Austria.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * For further information about INFONOVA GmbH, Austria, please
 * see the company website: http://www.infonova.at/
 *
 * For further information about INFONOVA OpenCms Modules, please see the
 * project website: http://sourceforge.net/projects/bp-cms-commons/
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *****************************************************************************/
package com.mycompany.mavenproject2;

import at.infonova.opencms.testing.AbstractOpenCmsTestCase;

import org.opencms.main.OpenCms;

import java.util.Set;

import junit.framework.Test;


/**
 * Tests this OpenCms Module.
 * <p>
 * 
 * Checkstyle:OFF MagicNumber
 */
public class OpenCmsModuleTest extends AbstractOpenCmsTestCase {

    /** General Logger for this Class. */
    private static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory
        .getLog(OpenCmsModuleTest.class);

    /**
     * <p>
     * Default JUnit constructor.
     * 
     * @param name JUnit parameters
     */
    public OpenCmsModuleTest(final String name) {
        super(name);
    }

    /**
     * <p>
     * Test suite for this test class.
     *
     * @return the test suite
     */
    public static Test suite() {
        return createSuite(OpenCmsModuleTest.class, "../../../src/test/config/imports/xmlcontent", "/");
    }
    
    /**
     * <p>
     * Simple Test if the Module 'mavenproject2'
     * is imported into the OpenCms-Test instance.
     * 
     * <p>
     * see src\test\config\WEB-INF\config\opencms-modules.xml
     * 
     * @throws Exception if an error occurs.
     */
    public void testModuleImport() throws Exception {
        echo("Testing testModuleImport");

        String projectModuleName = "mavenproject2";

        // basic check if the module was imported correctly (during
        // configuration)
        if (!OpenCms.getModuleManager().hasModule(projectModuleName)) {
            
            Set<String> moduleNames = getModuleNames();
            for (String moduleName : moduleNames) {
                LOG.info("imported Module: " + moduleName);
            }
            fail("Module '" + projectModuleName + "' was not imported!");
        }
    }
}
